<wrapper [class]='myClass'>
  <div class="header"></div>
  <div class="page">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-1 col-xl-2 min-heigth"></div>
        <div class="col-md-10 col-xl-8">
          <div class="card mt-5">
            <h2 class="text-center pt-5 mb-4">User Profile <em>{{ userToken.firstname }} {{ userToken.lastname }}</em></h2>
            <div class="row">
              <div class="col-1"></div>
              <div class="col-10">
                <mat-divider class="full-width mb-4"></mat-divider>
                <mat-form-field>
                  <input matInput type="email" placeholder="Username" [value]="userToken.user" disabled>
                </mat-form-field>
                <mat-divider class="full-width mb-4"></mat-divider>
                <p class="h5 mb-2">Reset Password</p>
              </div>
              <div class="col-1"></div>
            </div>
            <form class="text-center" [formGroup]="verifyForm" novalidate (ngSubmit)="verify(verifyForm.value)">
              <div class="row">
                <div class="col-1"></div>
                <div class="col-10">
                  <mat-form-field class="full-width">
                    <input matInput [type]="show ? 'text' : 'password'" placeholder="Old Password" formControlName="currentPassword" required>
                    <!-- <mat-error *ngFor="let validation of validation_messages.currentPassword">
                      <mat-error *ngIf="verifyForm.get('currentPassword').hasError(validation.type) && (verifyForm.get('currentPassword').dirty || verifyForm.get('currentPassword').touched)">
                        {{ validation.message }}
                      </mat-error>
                    </mat-error> -->
                    <mat-icon matSuffix (click)="show = !show">{{show ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </mat-form-field>
                  <mat-form-field class="full-width">
                    <input matInput [type]="show ? 'text' : 'password'" placeholder="New Password" formControlName="password" required>
                    <!-- <mat-error *ngFor="let validation of validation_messages.password">
                      <mat-error *ngIf="verifyForm.get('password').hasError(validation.type) && (verifyForm.get('password').dirty || verifyForm.get('password').touched)">
                        {{ validation.message }}
                      </mat-error>
                    </mat-error> -->
                    <mat-icon matSuffix (click)="show = !show">{{show ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </mat-form-field>
                  <mat-form-field class="full-width mb-3">
                    <input matInput [type]="show ? 'text' : 'password'" placeholder="Confirm New Password" formControlName="passwordConfirm" required>
                    <!-- <mat-error *ngFor="let validation of validation_messages.passwordConfirm">
                      <mat-error *ngIf="verifyForm.get('passwordConfirm').hasError(validation.type) && (verifyForm.get('passwordConfirm').dirty || verifyForm.get('passwordConfirm').touched)">
                        {{ validation.message }}
                      </mat-error>
                    </mat-error> -->
                    <mat-icon matSuffix (click)="show = !show">{{show ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </mat-form-field>
                  <button class="mb-4" color="orange" mat-raised-button type="submit" [disabled]="!verifyForm.valid">
                    Reset password
                  </button>
                </div>
                <div class="col-1"></div>
              </div>
            </form>
          </div>
        </div>
        <div class="col-md-1 col-xl-2"></div>
      </div>
    </div>
  </div>
</wrapper>